summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLudovic Pouzenc <ludovic@pouzenc.fr>2022-07-16 09:11:04 +0200
committerLudovic Pouzenc <ludovic@pouzenc.fr>2022-07-16 09:11:04 +0200
commit904007308f957a78252d2ec24b2b2f6248240c6f (patch)
tree7e4a2d57eda0a531555260164a1b3fa8ee2aeb48
parenta6c57af1fb30002c75a0e1f39b52ec2546608324 (diff)
downloadeficast-emac.tar.gz
eficast-emac.tar.bz2
eficast-emac.zip
Mount efivarfs at boot in rcS, without failing if unavailableemac
-rwxr-xr-xmake-boot-image.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/make-boot-image.sh b/make-boot-image.sh
index e7464cf..a95d9c9 100755
--- a/make-boot-image.sh
+++ b/make-boot-image.sh
@@ -1,6 +1,6 @@
#!/bin/bash -xe
PS4='+ ($LINENO) ' # To ease debugging
-VERSION="1.3-emac-rc1"
+VERSION="1.3-emac-rc2"
# Config #
##########
@@ -618,6 +618,9 @@ mount_pseudofilesystems() {
mount -t devtmpfs -o size=1m none /dev || return $?
mkdir /dev/pts || return $?
mount -t devpts none /dev/pts || return $?
+ # Don't fail if efivarfs unavailable (boot in legacy BIOS mode)
+ modprobe efivarfs || true
+ mount -t efivarfs efivarfs /sys/firmware/efi/efivars || true
ln -s /proc/self/fd/2 /dev/stderr
return 0
}